\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and Solvers

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types
CGAL::Eigen_svd Class Reference
CGAL and Solvers Reference

`#include <CGAL/Eigen_svd.h>`

## Definition

The class `Eigen_svd` provides an algorithm to solve in the least square sense a linear system with a singular value decomposition using Eigen.

Is Model Of:
  `SvdTraits`

Examples:
  Solver_interface/singular_value_decomposition.cpp.

## Public Types
typedef double | FT
typedef Eigen_vector< FT > | Vector
typedef Eigen_matrix< FT > | Matrix